aboutsummaryrefslogtreecommitdiff
path: root/libs_network/openobex
diff options
context:
space:
mode:
Diffstat (limited to 'libs_network/openobex')
-rwxr-xr-xlibs_network/openobex/openobex.SlackBuild79
1 files changed, 79 insertions, 0 deletions
diff --git a/libs_network/openobex/openobex.SlackBuild b/libs_network/openobex/openobex.SlackBuild
new file mode 100755
index 0000000..3778551
--- /dev/null
+++ b/libs_network/openobex/openobex.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=openobex
+VERSION=1.3
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.bz2
+REPOSITORY=http://belnet.dl.sourceforge.net/sourceforge/openobex
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar jxvf $CWD/$ARCHIVE
+cd $BASEDIR
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure \
+ --enable-static=no \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --enable-apps
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+openobex: openobex (Object Exchange protocol library)
+openobex:
+openobex: OpenOBEX is a free open source implementation of the Object Exchange
+openobex: (OBEX) protocol. OBEX is a session protocol and can best be
+openobex: described as a binary HTTP protocol. OBEX is optimised for ad-hoc
+openobex: wireless links and can be used to exchange all kinds of objects like
+openobex: files, pictures, calendar entries (vCal) and business cards (vCard).
+openobex:
+openobex: Visit the project here: http://www.openobex.org
+openobex:
+openobex:
+EOF
+
+install -m644 -g0 -o0 AUTHORS ChangeLog README \
+ $PKG/usr/doc/$NAME-$VERSION
+
+strip --strip-unneeded \
+ $PKG/usr/lib/*.so* || :
+
+strip $PKG/usr/bin/* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz